org.springframework.web.servlet.tags

## Class HtmlEscapingAwareTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally

Direct Known Subclasses:
  AbstractFormTag, BindErrorsTag, BindTag, EscapeBodyTag, EvalTag, MessageTag, TransformTag, UrlTag

    public abstract class HtmlEscapingAwareTag
    extends RequestContextAwareTag

Superclass for tags that output content that might get HTML-escaped.

Provides a "htmlEscape" property for explicitly specifying whether to apply HTML escaping. If not set, a page-level default (e.g. from the HtmlEscapeTag) or an application-wide default (the "defaultHtmlEscape" context-param in `web.xml`) is used.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `setHtmlEscape(java.lang.String)`, `HtmlEscapeTag`, `RequestContext.isDefaultHtmlEscape()`, `WebUtils.isDefaultHtmlEscape(javax.servlet.ServletContext)`, Serialized Form

### Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`HtmlEscapingAwareTag()`

### Method Summary

Methods
`protected boolean` `isDefaultHtmlEscape()` Return the applicable default HTML escape setting for this tag.
`protected boolean` `isHtmlEscape()` Return the HTML escaping setting for this tag, or the default setting if not overridden.
`void` `setHtmlEscape(String htmlEscape)` Set HTML escaping for this tag, as boolean value.

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doFinally, doStartTag, doStartTagInternal, getRequestContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlEscapingAwareTag

    public HtmlEscapingAwareTag()

### Method Detail

#### setHtmlEscape

    public void setHtmlEscape(String htmlEscape)
                       throws JspException

Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.

Throws:
  `JspException`
See Also:
  `HtmlEscapeTag.setDefaultHtmlEscape(java.lang.String)`

#### isHtmlEscape

    protected boolean isHtmlEscape()

Return the HTML escaping setting for this tag, or the default setting if not overridden.

See Also:
  `isDefaultHtmlEscape()`

#### isDefaultHtmlEscape

    protected boolean isDefaultHtmlEscape()

Return the applicable default HTML escape setting for this tag.

The default implementation checks the RequestContext's setting, falling back to `false` in case of no explicit default given.

See Also:
  `RequestContextAwareTag.getRequestContext()`